# Delete shipment custom field Removes a specific custom field from a shipment by its key. The field and its value will be permanently deleted from the shipment. Endpoint: DELETE /integration/rest/api/v1/shipment/{shipmentExternalId}/custom-field/{fieldKey} Version: v0 Security: X-AUTH-KEY ## Path parameters: - `shipmentExternalId` (string, required) Shipment external identifier or uuid. Example: "SHIP-2024-001" - `fieldKey` (string, required) Key of the custom field to delete. Example: "CARRIER" ## Response 403 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id ## Response 404 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id ## Response 500 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id